trick-gte(1)

NAME
trick-gte - Trick Get Trick Environment

SYNOPSIS
trick-gte [OPTIONS]...

DESCRIPTION
The Trick Get Trick Environment (trick-gte) command prints out the value of environment variables used by Trick. trick-gte will print the value of the environment variable if the user has set it, or trick-gte will print a default values it stores within itself.

ENVIRONMENT_VARIABLE
    Prints the value of the environemnt variable if it exists or prints out the default value stored in trick-gte.

S_source
    Used by trick-CP to store the values of all Trick environment variables into the simulation. Not typically used outside of trick-CP.

-e<pattern>
    Print out all Trick environment variables that match pattern. The pattern may be a string or perl regular expression.

SEE ALSO
All Trick model developers and users should go through the tutorial found in the Trick Simulation Environment User Training Materials. The canonical reference for all Trick commands, files and utilities is the Trick Simulation Environment User's Guide. Information specific to a given release of Trick tools is contained in the Trick Simulation Environment Version Description for that release.

HISTORY
1996-2002 : gte originally written in C by Greg Alexander 2003-present : trick-gte ported to Perl by Alex Lin